<template lang="pug">
.field.is-grouped.is-grouped-multiline
	.control( v-for='(component, i) in components' :key='i' )
		component( :is='component' )
</template>

<script setup>
import { useSlots, computed } from "vue"

const slots = useSlots()
const components = computed(() => {
	if (!slots.default) return []

	let items = []

	for (let component of slots.default()) {
		if (typeof component.type == "symbol" && component.children !== "v-if") {
			items.push( ...component.children )
		} else {
			items.push(component)
		}
	}

	return items
})
</script>